Subject: Re: make and .exe targets
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "J. J. Farrell" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 5 Feb 1999 18:04:19 -0500

First of all, you picked $PATH from one message.
There were several messages I sent directly to him.
PATH was the very first suggestion.  I do know what AIX is and how it
differs from
other UNIX flavors.  I am very well aware of it.
Beside you language has been absolutely nonsense.  If you donot know the
whole story
then you do not jump and start braging about something.

As I said $PATH was the verey first suggestion.  I also wrote to him
about
configuration problems.  It is hard to say anything unless one sees the
system.
Using his makefile and source I could compile it.  That's what I wrote
to him in one of the email.

Yes, you said unfortunately you do not know why make is not working.
My answer is still in computing world there is nothing like
"unfortunate."
Something does not work because of mistake.  That means "there is no
unfortunate
configuration"

Beside, you just picked couple of mails from mail archive and talked
absolutely irrelevant.

To answer your question about AIX, I have 3 AIX, 4 SGI origin and one
SUN right in my office.
I am also the System Information in-charge for my company.  I do believe
I know the differences in different UNIX flavors.

Have good day.

Suhaib

----- Original Message -----
From: J. J. Farrell <[email-masked]>
To: Suhaib M. Siddiqi <[email-masked]>
Sent: Friday, February 05, 1999 5:44 PM
Subject: Re: make and .exe targets

>> From [email-masked]  Fri Feb  5 12:29:31 1999
>>
>> If ld can be execuated from command line and make.exe has problems
>> then it is a configuration problem
>
>That would certainly be one possibility. However, I don't see what
>relevance this has to John's problem - I can't see any evidence of
>make.exe having any problems. Nor can I see any evidence of any
>problems with the makefile. Am I missing something? I suppose there
>might be some problem with the environment that make is setting up
>for ld, but I certainly can't see how $PATH could have anything to
>do with the error being reported.
>
>> -- if you can also refresh you UNIX knowledge.
>
>I can refresh my UNIX knowledge, but I don't see any need to do so.
>Do you think I need to, and if so what makes you think so?
>
>> What he got a serious configuration problem :not an unfortunate
>> configuration as you
>> are trying explain.
>
>Where do I try to explain that he has "an unfortunate configuration"?
>What are you talking about? I said I had no idea what was causing
>the problem.
>
>> Now go way and try to figure out what environment variables means.
>
>I could do so, but I don't see the point of trying to figure out
>something that I understand well. Do you think that I don't know
>what "environment variables" means? If so, what makes you think
>so? What relevance do environment variables have to any of this?
>
>I don't understand most of this message; please explain.
>
>> Bye
>
>Regards,
> jjf
>
>
>> This is getting increasingly silly!
>> >
>> >> From: "Suhaib M. Siddiqi" <[email-masked]>
>> >>
>> >> You have a problem with your environment.  Therefore make is
unable
>> to
>> >> ld.exe.
>> >> Read my previous message on how to define $PATH.
>> >
>> >I don't see how $PATH could be involved. ld is executing correctly,
but
>> >it's reporting a problem with the output file.
>> >
>> >> Cygwin is a UNIX like environment.  Therefore, to use it
effectively
>> you
>> >> should have some
>> >> knowledge of UNIX.
>> >
>> >John said that he has developed on AIX.
>> >
>> >> When I use your posted Makefile, I get "missing separator" error.
I
>> do
>> >> not get ld.exe not found error.
>> >> Missing separator error means there is a problem with your
Makefile.
>> >
>> >I can't see anything wrong with the makefile. Your "missing
separator"
>> >error is likely to be because you used spaces where a tab is needed
>> >when you copied John's makefile.
>> >
>> >> Cygwin follows UNIX rules
>> >> not AIX.  You can download a source code for SUN, SGI or LINUX,
look
>> >> carefully on the Makefile and you
>> >> will know how to write a Makefile for a UNIX system.  That
makefile
>> will
>> >> work under Cygwin too.
>> >
>> >AIX is as much a version of UNIX as SunOS and IRIX, and
(technically)
>> >more so than LINUX.
>> >
>> >There is no evidence of any problem with the makefile. The problem
is
>> >that ld has trouble with its output file when invoked via make. I've
>> >no idea why, unfortunately.
>

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]